Developer Documentation

Everything you need to integrate UK energy data into your applications.

Quick Start

~ 2 minutes
1

Get your API key

Sign up for a free account to get your API key. Free tier includes 1,000 requests/day.

Get API Key
2

Make your first request

Fetch the latest UK system price with a simple GET request:

bash
curl https://api.ppaoracle.com/v1/uk/prices/system/latest \
  -H "Authorization: Bearer YOUR_API_KEY"
3

Parse the response

Responses are JSON with consistent structure:

json
{
  "data": [{
    "settlement_date": "2024-12-20",
    "settlement_period": 28,
    "price": 52.34,
    "system_sell_price": 51.20,
    "system_buy_price": 53.48
  }],
  "count": 1,
  "unit": "GBP/MWh"
}

Resources

Popular Endpoints

View all
EndpointDescription
GET /uk/prices/system/latestLatest UK system price (SSP/SBP)
GET /uk/carbon/intensity/currentCurrent grid carbon intensity
GET /uk/carbon/fuelmix/currentCurrent generation fuel mix
GET /uk/analytics/capture-price/{year}/{month}Capture prices and shape factors

New to UK energy data?

If you're not familiar with terms like System Price, Carbon Intensity, or Capture Price, check out our Learn section first.

Go to Learn